Bug 5563 - зависимость на dev
: зависимость на dev
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libsane)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-11-24 13:41 by
Modified: 2005-08-28 23:20 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-11-24 13:41:03
У пакета libsane отсутствует зависимость на dev, в итоге получаем при установке
системы с нуля:
/var/tmp/rpm-tmp.91184: line 1: /dev/null: No such file or directory
error: execution of %pre scriptlet from libsane-1.0.15-alt1 failed, exit status
1
error:   install: %pre scriptlet failed (2), skipping libsane-1.0.15-alt1
------- Comment #1 From 2004-11-28 00:51:44 -------
fixed in sane-1.0.15-alt2 
------- Comment #2 From 2004-12-01 01:02:14 -------
Вывод от groupadd нельзя давить в /dev/null.
За исключением %pre-скриптов тех пакетов, которые обеспечивают работу самой
утилиты groupadd.
Зависимость на dev лишняя и, возможно, в будущем даже вредная.
------- Comment #3 From 2004-12-01 09:44:27 -------
Согласен.
Но тут была явная ситуация, когда при массовой установке пакетов с нуля RPM
сортирует таким образом, что libsane устанавливается раньше чем dev
------- Comment #4 From 2004-12-03 21:41:22 -------
Так может быть багу на apt-conf-sisyphus 
чтобы вписать в pkgpriorities что-то о dev ? 
И зависимость на dev и использование /dev/null 
будет убрано в sane-1.0.15-alt3 
------- Comment #5 From 2004-12-05 10:57:53 -------
в моем случае установка пакетов идет с помошью RPM а не APT.